<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( https://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) XXXX-2008 - INRIA
 *
 * Copyright (C) 2012 - 2016 - Scilab Enterprises
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * This file was originally licensed under the terms of the CeCILL v2.1,
 * and continues to be available under such terms.
 * For more information, see the COPYING file which you should have received
 * along with this program.
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:ns3="http://www.w3.org/1999/xhtml" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org" xml:id="get_absolute_file_path" xml:lang="pt">
    <refnamediv>
        <refname>get_absolute_file_path</refname>
        <refpurpose>fornece o nome de endereço absoluto de um arquivo aberto no
            Scilab
        </refpurpose>
    </refnamediv>
    <refsynopsisdiv>
        <title>Seqüência de Chamamento</title>
        <synopsis>pathname = get_absolute_file_path(filename)</synopsis>
    </refsynopsisdiv>
    <refsection>
        <title>Parâmetros</title>
        <variablelist>
            <varlistentry>
                <term>filename</term>
                <listitem>
                    <para>string : nome do arquivo</para>
                </listitem>
            </varlistentry>
            <varlistentry>
                <term>pathname</term>
                <listitem>
                    <para>string : o nome de endereço absoluto</para>
                </listitem>
            </varlistentry>
        </variablelist>
    </refsection>
    <refsection>
        <title>Descrição</title>
        <para>Fornece o nome de endereço absoluto de um arquivo já aberto no
            Scilab.
        </para>
        <para>get_absolute_file_path procura na lista interna de arquivos abertos
            correntemente do Scilab, filename e retorna seu endereço.
        </para>
        <para>Se o arquivo não for aberto, um erro é retornado.</para>
        <para>Aviso : na versão anterior (Scilab 5.0.x) o diretório corrente era
            retornado se o arquivo não fosse encontrado.
        </para>
        <para>Esta função pode ser utilizada para encontrar de onde (endereço) um
            script Scilab é executado.
        </para>
    </refsection>
    <refsection>
        <title>Exemplos</title>
        <programlisting role="example"><![CDATA[
// executando este script

a=mopen(TMPDIR+'test.sce','wt');
disp(get_absolute_file_path('test.sce'));
mclose(a);
 ]]></programlisting>
    </refsection>
    <refsection>
        <title>Ver Também</title>
        <simplelist type="inline">
            <member>
                <link linkend="dispfiles">dispfiles</link>
            </member>
            <member>
                <link linkend="file">file()</link>
            </member>
            <member>
                <link linkend="getshortpathname">getshortpathname</link>
            </member>
            <member>
                <link linkend="getlongpathname">getlongpathname</link>
            </member>
            <member>
                <link linkend="pwd">pwd</link>
            </member>
        </simplelist>
    </refsection>
    <refsection>
        <title>Autores</title>
        <para>Allan CORNET</para>
    </refsection>
</refentry>
